summaryrefslogtreecommitdiff
path: root/dev-python/thriftpy2
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-10 03:04:52 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-10 03:04:52 -0500
commit1160c54c5acbfd332d8757e926627ae58c982459 (patch)
tree1b77233142ee428a8bb175ab467fc16086f9d41c /dev-python/thriftpy2
parent92f6d12bf21434879bac739a9c4c7d9924ce3bad (diff)
downloadbaldeagleos-repo-1160c54c5acbfd332d8757e926627ae58c982459.tar.gz
baldeagleos-repo-1160c54c5acbfd332d8757e926627ae58c982459.tar.xz
baldeagleos-repo-1160c54c5acbfd332d8757e926627ae58c982459.zip
Adding metadata
Diffstat (limited to 'dev-python/thriftpy2')
-rw-r--r--dev-python/thriftpy2/Manifest1
-rw-r--r--dev-python/thriftpy2/thriftpy2-0.7.0.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/thriftpy2/Manifest b/dev-python/thriftpy2/Manifest
index eb3fb5e5a912..6fc25498baa3 100644
--- a/dev-python/thriftpy2/Manifest
+++ b/dev-python/thriftpy2/Manifest
@@ -1 +1,2 @@
DIST thriftpy2-0.6.0.tar.gz 996147 BLAKE2B afa23e8ca5247752a141d52d223433539683318290506f52d3c42e0869a775abf35a07330e15112490eec408ae7b70e38e86b5ad55ffb29bb15a57bbcbd0c906 SHA512 a2637ccaf293030211b00d202b21153719172afadfce09c3152157ad850442335000bff33d5335b22cbd662fc768653a5e0b364e4f4980d0d77b211d00f120f4
+DIST thriftpy2-0.7.0.tar.gz 1522807 BLAKE2B 8be7c1eb9caec51f3cf52cfe1571c90166c0fd819370ede5ee4f98c6538a988f3054b61f5f30cc5c0a740df010a8159fb03d582b19425a48985dbbdbd0fb182b SHA512 86dff25d3ee08a667e3698c725e8157bcd5b208038efd89675f012bf9d91359b686d0bcd45eddd9897ed9a31f841cf9cc5cbec5abea361b016567ee9ae7e92b7
diff --git a/dev-python/thriftpy2/thriftpy2-0.7.0.ebuild b/dev-python/thriftpy2/thriftpy2-0.7.0.ebuild
new file mode 100644
index 000000000000..25c0f53a9f42
--- /dev/null
+++ b/dev-python/thriftpy2/thriftpy2-0.7.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure python approach of Apache Thrift"
+HOMEPAGE="
+ https://github.com/Thriftpy/thriftpy2/
+ https://pypi.org/project/thriftpy2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+ =dev-python/ijson-3*[${PYTHON_USEDEP}]
+ <dev-python/ply-4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/cython-3.0.10[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/aiohttp-3.8.0[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,reraise} )
+distutils_enable_tests pytest
+
+python_test() {
+ cd tests || die
+ epytest
+}